Beginner's problem with sqlite3

hi!

I know that it needs rubygems sqlite3 to run

so i rubygems installed.

however, fxri in “require ‘rubygems’” , type the following error.

require ‘rubygems’
=> false

this code,the same error occurs.

require ‘sqlite3’

db = SQLite3::Database.new( “test.db” )
columns, *rows = db.execute2( “select * from test” )

an error in the code,

c:/ruby/lib/ruby/1.8/dl/import.rb:29:in initialize': unknown error (RuntimeError) from c:/ruby/lib/ruby/1.8/dl/import.rb:29:indlopen’
from c:/ruby/lib/ruby/1.8/dl/import.rb:29:in dlload' from c:/ruby/lib/ruby/1.8/dl/import.rb:27:ineach’
from c:/ruby/lib/ruby/1.8/dl/import.rb:27:in dlload' from c:/ruby/lib/ruby/site_ruby/1.8/sqlite3/driver/dl/api.rb:31 from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:ingem_original_require’
from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
require' from c:/ruby/lib/ruby/site_ruby/1.8/sqlite3/driver/dl/driver.rb:1 from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:ingem_original_require’
from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
require' from c:/ruby/lib/ruby/site_ruby/1.8/sqlite3/database.rb:613:inload_driver’
from c:/ruby/lib/ruby/site_ruby/1.8/sqlite3/database.rb:611:in each' from c:/ruby/lib/ruby/site_ruby/1.8/sqlite3/database.rb:611:inload_driver’
from c:/ruby/lib/ruby/site_ruby/1.8/sqlite3/database.rb:74:in
initialize' from test.rb:3:innew’
from test.rb:3

this error is what mean?

plz teach me.
and i’m sorry, i can not speak english well.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs